# Set embed colour scheme
`PUT https://octopus.livepush.io/streams/{stream_id}/embed/color`
Sets the accent colour of the embedded player. Returns `400` when no colour is supplied.

Requires a token with write access to the stream (`CanWriteStreams`).
- **Tag:** Stream Embed
- **Operation ID:** `putStreamEmbedColor`
- **Authentication:** Bearer token required
- **Docs:** https://developers.livepush.io/stream-embed/set-embed-colour-scheme/

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `stream_id` | string | yes | Unique identifier of the stream. |


### Request body

`application/json` (required)

- `color` (string) **required**


```json
{
  "color": "#66d72f"
}
```


### Example request

```bash
curl -X PUT 'https://octopus.livepush.io/streams/st_xxxxxxxxxxxxx/embed/color' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "color": "#66d72f"
  }'
```


### Responses


#### 200 — Setting applied.

- `success` (boolean)


```json
{
  "success": true
}
```


#### 400 — Response


#### 401 — Response

